// ./src/stories/TableRows.js

import React from 'react';
import {QueueRow} from "./QueueRow";

/**
 * A list of queues.
 *
 * @param rows
 * @returns {JSX.Element}
 * @constructor
 */
const TableRows = ({rows = []}) => {
    return (
        <table>
            <tbody>
            {rows.map((row, index) => {
                return <QueueRow key={index}
                                 index={index + 1}
                                 arn={row.props.arn}
                                 itemCount={row.props.itemCount}
                                 qName={row.props.qName}
                                 url={row.props.url}/>
            })}
            </tbody>
            <React.StrictMode/>
        </table>
    );
}

export {
    TableRows,
}
